﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Nansen.Viddler.Hosting;
using EPiServer.Web.Hosting;
using System.Web;

namespace Nansen.Viddler.Hosting
{
    public class ViddlerTempFile : ViddlerFile
    {
        public ViddlerTempFile(UnifiedDirectory directory, VirtualPathUnifiedProvider provider, string virtualPath, bool bypassAccessCheck)
            : base(directory, provider, virtualPath, bypassAccessCheck)
        {
        }

        public override DateTime Created
        {
            get
            {
                return DateTime.Now;
            }
        }

        public override DateTime Changed
        {
            get
            {
                return DateTime.Now;
            }
        }

        public override string Name
        {
            get
            {
                int startIndex = this.VirtualPath.LastIndexOf('/');
                string videoName = this.VirtualPath.Substring(startIndex + 1);

                videoName = HttpUtility.UrlDecode(videoName);

                return videoName + " (encoding)";
            }
        }
    }
}
